ServerEvents.recipes((event) => {
  event.remove({
    output: ['forbidden_arcanus:mundabitur_dust', 'forbidden_arcanus:deorum_ingot', 'deeperdarker:resonarium_plate'],
  });
});

ServerEvents.recipes((event) => {
  addCreateRecipeHandler(event);

  // === MIXING: MUNDABITUR DUST ===
  event.recipes.createMixing('forbidden_arcanus:mundabitur_dust', ['minecraft:blaze_powder', 'forbidden_arcanus:arcane_crystal_dust', 'hexerei:dried_mugwort_flowers', 'hexerei:dried_yellow_dock_flowers', 'iceandfire:pixie_dust']).id('mix_mundabitur');

  // === HEATED COMPACTING: DEORUM INGOT ===
  event.recipes.createCompacting('forbidden_arcanus:deorum_ingot', ['forbidden_arcanus:mundabitur_dust', 'forbidden_arcanus:mundabitur_dust', 'forbidden_arcanus:mundabitur_dust', 'iceandfire:silver_ingot', 'renether:tourmaline']).heated().id('compact_deorum');

  // === RESONARIUM PLATE ===
  event.recipes.createCompacting('deeperdarker:resonarium_plate', ['deeperdarker:resonarium', 'mythsandlegends:ethereal_flame']).heated().id('compat_resonarium');
  event.recipes.create.finalize();
});
